CoCoALib - Slug #1009

coefficients for MinPoly e Frobenius
16 Feb 2017 13:27 - Anna Maria Bigatti

Status: Closed Start date: 16 Feb 2017

Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 2.51 hours

Target version: CoCoALib-0.99600 Spent time: 2.60 hours

Description

The function creating the vector of coefficients (wrt a QB) can be improved.

(this is an internal and costly function using CoeffOfTerm)

Related issues:

Related to CoCoALib - Feature #1210: New Fn: make public "coefficients" (of p... Closed 03 Aug 2018

History

#1 - 28 Mar 2017 16:56 - John Abbott

Postpone to next version?

#2 - 29 Mar 2017 11:28 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99550 spring 2017 to CoCoALib-0.99560

#3 - 06 Nov 2017 13:45 - John Abbott
- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#4 - 26 Jun 2018 00:28 - Anna Maria Bigatti

- Status changed from In Progress to Feedback
- % Done changed from 0 to 90

- Estimated time set to 2.51 h

Done a long time ago, april 2018

#5 - 31 Jul 2018 14:21 - Anna Maria Bigatti

done.
coefficients in anonymous namespace in SparsePolyOps-MinPoly.C

#6 - 03 Aug 2018 17:16 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#7 - 03 Aug 2018 17:28 - John Abbott

- Related to Feature #1210: New Fn: make public "coefficients" (of poly wrt a given PP basis) added
